hpp-manipulation-urdf: hpp::manipulation::srdf::ContactFactory Class Reference

hpp-manipulation-urdf 9.0.2 Implementation of a parser for hpp-manipulation.

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
hpp::manipulation::srdf::ContactFactory Class Reference
Factories

Factory building contact surfaces. More...

`#include <hpp/manipulation/srdf/factories/contact.hh>`

Inheritance diagram for hpp::manipulation::srdf::ContactFactory:
[legend]
Collaboration diagram for hpp::manipulation::srdf::ContactFactory:
[legend]

## Public Types
typedef parser::SequenceFactory< value_type > | PointFactory
typedef parser::SequenceFactory< unsigned int > | TriangleFactory
typedef parser::SequenceFactory< unsigned int > | ShapeFactory
Public Types inherited from hpp::manipulation::parser::ObjectFactory
typedef std::vector< ObjectFactory * > | ObjectFactoryList

## Public Member Functions
| ContactFactory (ObjectFactory *parent, const parser::XMLElement *element)
virtual void | finishTags ()
| Called when all the child tags have been processed.
Public Member Functions inherited from hpp::manipulation::parser::ObjectFactory
| ObjectFactory (ObjectFactory *parent=NULL, const XMLElement *element=NULL)
virtual | ~ObjectFactory ()
void | name (const std::string &n)
void | name (const char *n)
| See name(const std::string&)
template<typename T >
T * | as ()
| Cast this class to any child class.
virtual bool | init ()
void | setAttribute (const XMLAttribute *attr)
virtual void | addTextChild (const XMLText *text)
| Add Text child.
virtual bool | finishAttributes ()
virtual void | finishFile ()
| Called when parsing is finished.
std::string | tagName () const
std::string | name () const
bool | hasAttribute (const std::string &attr) const
| Check if an attribute was set.
std::string | getAttribute (const std::string &attr) const
| Return a given attributes.
ObjectFactoryList | getChildrenOfType (std::string type)
| Get a list of ObjectFactory whose tag name is type.
bool | getChildOfType (std::string type, ObjectFactory *&o)

## Additional Inherited Members
Protected Member Functions inherited from hpp::manipulation::parser::ObjectFactory
| ObjectFactory (RootFactory *root)
ObjectFactory * | parent ()
RootFactory * | root ()
bool | hasParent () const
const XMLElement * | XMLelement ()
virtual void | impl_setAttribute (const XMLAttribute *attr)
void | addChild (ObjectFactory *child)
virtual std::ostream & | print (std::ostream &os) const

## Detailed Description

Factory building contact surfaces.

## Member Typedef Documentation

## ◆ PointFactory

typedef parser::SequenceFactory<value_type> hpp::manipulation::srdf::ContactFactory::PointFactory

## ◆ ShapeFactory

typedef parser::SequenceFactory<unsigned int> hpp::manipulation::srdf::ContactFactory::ShapeFactory

## ◆ TriangleFactory

typedef parser::SequenceFactory<unsigned int> hpp::manipulation::srdf::ContactFactory::TriangleFactory

## Constructor & Destructor Documentation

## ◆ ContactFactory()

hpp::manipulation::srdf::ContactFactory::ContactFactory | ( | ObjectFactory * | parent,
|  | const parser::XMLElement * | element )
| inline

## Member Function Documentation

## ◆ finishTags()

virtual void hpp::manipulation::srdf::ContactFactory::finishTags | ( |  | ) |
| virtual

Called when all the child tags have been processed.

Reimplemented from hpp::manipulation::parser::ObjectFactory.

The documentation for this class was generated from the following file:

- include/hpp/manipulation/srdf/factories/contact.hh